Package org.apache.tomcat.util.descriptor.tld

## Class ValidatorXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.ValidatorXml

    public class ValidatorXml
    extends java.lang.Object

Model of a Tag Library Validator from the XML descriptor.

### Constructor Summary

Constructors
`ValidatorXml()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInitParam​(java.lang.String name, java.lang.String value)`
`java.util.Map<java.lang.String,​java.lang.String>` `getInitParams()`
`java.lang.String` `getValidatorClass()`
`void` `setValidatorClass​(java.lang.String validatorClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidatorXml

    public ValidatorXml()

### Method Detail

#### getValidatorClass

    public java.lang.String getValidatorClass()

#### setValidatorClass

    public void setValidatorClass​(java.lang.String validatorClass)

#### addInitParam

    public void addInitParam​(java.lang.String name,
                             java.lang.String value)

#### getInitParams

    public java.util.Map<java.lang.String,​java.lang.String> getInitParams()